Name:		bonnie++
Version:	2.00a
Release:	%mkrel 3
Summary:	A program for benchmarking hard drives and filesystems
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.coker.com.au/bonnie++/
Source0:	https://www.coker.com.au/%{name}/%{name}-%{version}.tgz
Patch0:		bonnie++-1.97-makefile.patch
Patch1:		bonnie++-2.00a-mga-data-ambiguous.patch
Provides:	bonnie
Obsoletes:	bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-stripping
%make_build MORECFLAGS="%{optflags}"

%install
[ -e debian/changelog ] && (rm -f changelog.txt ; mv debian/changelog changelog.txt)
%makeinstall DESTDIR=%{buildroot}

%files
%doc changelog.txt readme.html credits.txt README-2.00
%{_sbindir}/%{name}
%{_sbindir}/getc_putc
%{_sbindir}/getc_putc_helper
%{_sbindir}/zcav
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_bindir}/generate_randfile
%{_mandir}/man1/*
%{_mandir}/man8/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.00a-3.mga10
+ Revision: 2207331
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.00a-2.mga9
+ Revision: 1816645
- Mageia 9 Mass Rebuild

* Sun Mar 13 2022 danf <danf> 2.00a-1.mga9
+ Revision: 1790785
- Update to ver. 2.00a

* Wed Feb 12 2020 umeabot <umeabot> 1.97.3-3.mga8
+ Revision: 1510755
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1.97.3-2.mga7
+ Revision: 1295591
- Mageia 7 Mass Rebuild

* Mon Sep 11 2017 cjw <cjw> 1.97.3-1.mga7
+ Revision: 1152891
- 1.97.3
- pass optflags to make

* Wed Feb 10 2016 umeabot <umeabot> 1.97-7.mga6
+ Revision: 953307
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 1.97-6.mga6
+ Revision: 879761
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.97-5.mga6
+ Revision: 875069
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.97-4.mga5
+ Revision: 741711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.97-3.mga5
+ Revision: 678196
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.97-2.mga4
+ Revision: 539652
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 1.97-1.mga4
+ Revision: 492669
- new version 1.91
- clean specfile
- add a patch from fedora to fix paths

* Fri Jan 11 2013 umeabot <umeabot> 1.96-4.mga3
+ Revision: 347048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 tmb <tmb> 1.96-3.mga1
+ Revision: 62773
- imported package bonnie++


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.96-3mdv2011.0
+ Revision: 603763
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.96-2mdv2010.1
+ Revision: 520016
- rebuilt for 2010.1

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.96-1mdv2010.0
+ Revision: 392661
- Update to new version 1.96

* Wed Dec 10 2008 Funda Wang <fwang@mandriva.org> 1.03e-1mdv2009.1
+ Revision: 312424
- New version 1.03e

* Thu Jul 24 2008 Erwan Velu <erwan@mandriva.org> 1.03d-1mdv2009.0
+ Revision: 245950
- 1.03d

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.03c-2mdv2009.0
+ Revision: 209673
- added a gcc43 patch from fedora

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 1.03c-1mdv2008.1
+ Revision: 158663
- update to new version 1.03c

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Funda Wang <fwang@mandriva.org> 1.03b-1mdv2008.1
+ Revision: 115504
- New version 1.03b


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.03a-3mdv2007.1
+ Revision: 145449
- Import bonnie++

* Wed Dec 28 2005 Erwan Velu <erwan@seanodes.com> 1.03a-3mdk
- Rebuild

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.03a-2mdk
- Rebuild

* Mon Mar 22 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.03a-1mdk
- Release 1.03a.

